correlationTest {fBasics} | R Documentation

## Correlation Tests

### Description

Tests if two series are correlated.

### Usage

    correlationTest(x, y, method = c("pearson", "kendall", "spearman"),
        title = NULL, description = NULL)

    pearsonTest(x, y, title = NULL, description = NULL)
    kendallTest(x, y, title = NULL, description = NULL)
    spearmanTest(x, y, title = NULL, description = NULL)

### Arguments

`x, y` | numeric vectors of data values.
`method` | a character string naming which test should be applied.
`title` | an optional title string, if not specified the inputs data name is deparsed.
`description` | optional description string, or a vector of character strings.

### Details

The function `correlationTest` tests for association between paired samples allowing to compute Pearson's product moment correlation coefficient, Kendall's tau, or Spearman's rho.

### Value

In contrast to R's output report from S3 objects of class `"htest"` a different output report is produced. The classical tests presented here return an S4 object of class `"fHTEST"`. The object contains the following slots:

`@call` | the function call.
`@data` | the data as specified by the input argument(s).
`@test` | a list whose elements contain the results from the statistical test. The information provided is similar to a list object of class `"htest"`.
`@title` | a character string with the name of the test. This can be overwritten specifying a user defined input argument.
`@description` | a character string with an optional user defined description. By default just the current date when the test was applied will be returned.

The slot `@test` returns an object of class `"list"` containing (at least) the following elements:

`statistic` | the value(s) of the test statistic.
`p.value` | the p-value(s) of the test.
`parameters` | a numeric value or vector of parameters.
`estimate` | a numeric value or vector of sample estimates.
`conf.int` | a numeric two row vector or matrix of 95
`method` | a character string indicating what type of test was performed.
`data.name` | a character string giving the name(s) of the data.

### Note

Some of the test implementations are selected from R's `ctest` package.

### Author(s)

R-core team for hypothesis tests implemented from R's package `ctest`.

### References

Conover, W. J. (1971); Practical nonparametric statistics, New York: John Wiley & Sons.

Lehmann E.L. (1986); Testing Statistical Hypotheses, John Wiley and Sons, New York.

### See Also

`locationTest`, `scaleTest`, `varianceTest`.

### Examples

    ## x, y -
       x = rnorm(50)
       y = rnorm(50)

    ## correlationTest -
       correlationTest(x, y, "pearson")
       correlationTest(x, y, "kendall")
       spearmanTest(x, y)

[Package fBasics version 3042.89 Index]